This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 451753

Summary: Using xim(X Input Method) -> application freezes
Product: [Fedora] Fedora Reporter: sangu <sangu.fedora>
Component: imsettingsAssignee: Akira TAGOH <tagoh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: rawhideCC: eng-i18n-bugs, mtasaka
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 0.101.2-2.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-25 09:11:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
emacs backtrace file
none
some logs perhaps related to this issue none

Description sangu 2008-06-17 00:18:35 EDT
Description of problem:
launch gedit -> change to xim.

(gdb) bt
#0  0x00132416 in __kernel_vsyscall ()
#1  0x00fb2cf1 in select () from /lib/libc.so.6
#2  0x0109b295 in _xcb_conn_wait (c=0x83dc1e0, cond=0x83dc240, vector=0x0, 
    count=0x0) at xcb_conn.c:340
#3  0x0109c93f in xcb_wait_for_event (c=0x83dc1e0) at xcb_in.c:391
#4  0x0390f8c1 in wait_or_poll_for_event (dpy=0x83dbca0, wait=-1075824196)
    at xcb_io.c:100
#5  0x0390fc30 in process_responses (dpy=0x83dbca0, wait_for_first_event=1, 
    current_error=0x0, current_request=0) at xcb_io.c:115
#6  0x039103c7 in _XReadEvents (dpy=0x83dbca0) at xcb_io.c:212
#7  0x038ee2cb in XIfEvent (dpy=0x83dbca0, event=0xbfe03d08, 
    predicate=0x3929d50 <_CheckSNEvent>, arg=0xbfe03c84 "\233\002�\b")
    at IfEvent.c:70
#8  0x0392ae26 in _XimPreConnectionIM (im=0x868cb00, selection=407)
    at imDefIm.c:240
#9  0x0392c81c in _XimProtoOpenIM (im=0x868cb00) at imDefIm.c:408
#10 0x0393242d in _XimOpenIM (lcd=0x83d0ae8, dpy=0x83dbca0, rdb=0x0, 
    res_name=0x0, res_class=0x0) at imInt.c:236
#11 0x039163ba in XOpenIM (display=0x83dbca0, rdb=0x0, res_name=0x0, 
    res_class=0x0) at IMWrap.c:135
#12 0x04a7db53 in xim_info_try_im (info=0x868c598) at gtkimcontextxim.c:459
#13 0x04a7dd88 in get_im (client_window=0x86556a8, 
    locale=0x8689df0 "ko_KR.utf8") at gtkimcontextxim.c:540
---Type <return> to continue, or q <return> to quit---
#14 0x04a7e110 in set_ic_client_window (context_xim=0x84f1728, 
    client_window=0x86556a8) at gtkimcontextxim.c:650
#15 0x04a7e189 in gtk_im_context_xim_set_client_window (context=0x84f1728, 
    client_window=0x86556a8) at gtkimcontextxim.c:663
#16 0x0069190d in IA__gtk_im_context_set_client_window (context=0x84f1728, 
    window=0x86556a8) at gtkimcontext.c:232
#17 0x006954d2 in gtk_im_multicontext_set_slave (multicontext=0x85db720, 
    slave=0x84f1728, finalizing=0) at gtkimmulticontext.c:211
#18 0x006955b7 in gtk_im_multicontext_get_slave (multicontext=0x85db720)
    at gtkimmulticontext.c:237
#19 0x00695779 in gtk_im_multicontext_get_preedit_string (context=0x85db720, 
    str=0xbfe0407c, attrs=0xbfe04078, cursor_pos=0xbfe04074)
    at gtkimmulticontext.c:300
#20 0x006919c2 in IA__gtk_im_context_get_preedit_string (context=0x85db720, 
    str=0xbfe0407c, attrs=0xbfe04078, cursor_pos=0xbfe04074)
    at gtkimcontext.c:262
#21 0x007aa8c7 in gtk_text_view_preedit_changed_handler (context=0x85db720, 
    text_view=0x85b7060) at gtktextview.c:7221
#22 0x00dbcf94 in IA__g_cclosure_marshal_VOID__VOID (closure=0x85e73c8, 
    return_value=0x0, n_param_values=1, param_values=0xbfe042e8, 
    invocation_hint=0xbfe0421c, marshal_data=0x7aa82a) at gmarshal.c:77
#23 0x00daf14b in IA__g_closure_invoke (closure=0x85e73c8, return_value=0x0, 
    n_param_values=1, param_values=0xbfe042e8, invocation_hint=0xbfe0421c)
---Type <return> to continue, or q <return> to quit---
    at gclosure.c:490
#24 0x00dc5847 in signal_emit_unlocked_R (node=0x85a3e70, detail=0, 
    instance=0x85db720, emission_return=0x0, instance_and_params=0xbfe042e8)
    at gsignal.c:2440
#25 0x00dc6ee0 in IA__g_signal_emit_valist (instance=0x85db720, signal_id=331, 
    detail=0, var_args=0xbfe04558 "") at gsignal.c:2199
#26 0x00dc7233 in IA__g_signal_emit_by_name (instance=0x85db720, 
    detailed_signal=0x94a550 "preedit_changed") at gsignal.c:2267
#27 0x0069552e in gtk_im_multicontext_set_slave (multicontext=0x85db720, 
    slave=0x0, finalizing=0) at gtkimmulticontext.c:219
#28 0x00695d5c in activate_cb (menuitem=0x8631c08, context=0x85db720)
    at gtkimmulticontext.c:500
#29 0x00dbcf94 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8640a90, 
    return_value=0x0, n_param_values=1, param_values=0xbfe04818, 
    invocation_hint=0xbfe0474c, marshal_data=0x695cb7) at gmarshal.c:77
#30 0x00daf14b in IA__g_closure_invoke (closure=0x8640a90, return_value=0x0, 
    n_param_values=1, param_values=0xbfe04818, invocation_hint=0xbfe0474c)
    at gclosure.c:490
#31 0x00dc5847 in signal_emit_unlocked_R (node=0x84a8ae0, detail=0, 
    instance=0x8631c08, emission_return=0x0, instance_and_params=0xbfe04818)
    at gsignal.c:2440
#32 0x00dc6ee0 in IA__g_signal_emit_valist (instance=0x8631c08, signal_id=188, 
    detail=0, var_args=0xbfe04a2c " \207?\b\230J࿠d\022") at gsignal.c:2199
---Type <return> to continue, or q <return> to quit---
#33 0x00dc7386 in IA__g_signal_emit (instance=0x8631c08, signal_id=188, 
    detail=0) at gsignal.c:2243
#34 0x0082356e in IA__gtk_widget_activate (widget=0x8631c08)
    at gtkwidget.c:4737
#35 0x006cab73 in IA__gtk_menu_shell_activate_item (menu_shell=0x84ee708, 
    menu_item=0x8631c08, force_deactivate=1) at gtkmenushell.c:1123
#36 0x006c99d3 in gtk_menu_shell_button_release (widget=0x84ee708, 
    event=0x85dff88) at gtkmenushell.c:672
#37 0x006bcd6d in gtk_menu_button_release (widget=0x84ee708, event=0x85dff88)
    at gtkmenu.c:2714
#38 0x006b1709 in _gtk_marshal_BOOLEAN__BOXED (closure=0x83f8720, 
    return_value=0xbfe04d50, n_param_values=2, param_values=0xbfe04e08, 
    invocation_hint=0xbfe04d3c, marshal_data=0x6bcbe5) at gtkmarshalers.c:84
#39 0x00dad8c9 in g_type_class_meta_marshal (closure=0x83f8720, 
    return_value=0xbfe04d50, n_param_values=2, param_values=0xbfe04e08, 
    invocation_hint=0xbfe04d3c, marshal_data=0xb4) at gclosure.c:567
#40 0x00daf14b in IA__g_closure_invoke (closure=0x83f8720, 
    return_value=0xbfe04d50, n_param_values=2, param_values=0xbfe04e08, 
    invocation_hint=0xbfe04d3c) at gclosure.c:490
#41 0x00dc54ff in signal_emit_unlocked_R (node=0x83f8998, detail=0, 
    instance=0x84ee708, emission_return=0xbfe04fc8, 
    instance_and_params=0xbfe04e08) at gsignal.c:2478
#42 0x00dc6d9c in IA__g_signal_emit_valist (instance=0x84ee708, signal_id=37, 
---Type <return> to continue, or q <return> to quit---
    detail=0, var_args=0xbfe05020 "<P��\b") at gsignal.c:2209
#43 0x00dc7386 in IA__g_signal_emit (instance=0x84ee708, signal_id=37, 
    detail=0) at gsignal.c:2243
#44 0x00823449 in gtk_widget_event_internal (widget=0x84ee708, event=0x85dff88)
    at gtkwidget.c:4706
#45 0x00822f43 in IA__gtk_widget_event (widget=0x84ee708, event=0x85dff88)
    at gtkwidget.c:4503
#46 0x006afa8c in IA__gtk_propagate_event (widget=0x84ee708, event=0x85dff88)
    at gtkmain.c:2343
#47 0x006ae3e2 in IA__gtk_main_do_event (event=0x85dff88) at gtkmain.c:1563
#48 0x00b4188f in gdk_event_dispatch (source=0x83ef000, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2365
#49 0x00e27008 in IA__g_main_context_dispatch (context=0x83efdf0)
    at gmain.c:2063
#50 0x00e2a56b in g_main_context_iterate (context=0x83efdf0, block=1, 
    dispatch=1, self=0x83c2ee0) at gmain.c:2696
#51 0x00e2aa3a in IA__g_main_loop_run (loop=0x8656728) at gmain.c:2919
#52 0x006adac6 in IA__gtk_main () at gtkmain.c:1169
#53 0x08065444 in main (argc=1, argv=0xbfe053a4) at gedit.c:585

Version-Release number of selected component (if applicable):
1.1.0-1.fc10

How reproducible:
always

Steps to Reproduce:
1.  change input method to xim on gedit or launch xim using program (like emacs)
2.
3.
  
Actual results:


Expected results:


Additional info:
XIM works well in im-chooser-0.99.6-5.fc9.i386 imsettings-0.99.6-5.fc9.i386.
Comment 1 sangu 2008-06-17 00:18:35 EDT
Created attachment 309568 [details]
emacs backtrace file
Comment 2 Akira TAGOH 2008-06-17 01:44:23 EDT
Please try upcoming imsettings-0.101.2-1.fc10. if you can still see this issue,
try to run imsettings-xim from the terminal with --verbose and give me a log
when you run the application? actually the backtrace doesn't help without the
protocol state.

BTW we have never enabled XIM support in F-9. this might be potential issue.
Comment 3 Akira TAGOH 2008-06-17 02:25:33 EDT
The package has been built -
http://koji.fedoraproject.org/koji/taskinfo?taskID=665128
Comment 4 sangu 2008-06-17 04:47:23 EDT
The same problem happens in imsettings-0.101.2-1.fc10.

$ rpm -qa | grep imsettings
imsettings-0.101.2-1.fc10.i386
imsettings-debuginfo-0.101.2-1.fc10.i386
imsettings-libs-0.101.2-1.fc10.i386
imsettings-devel-0.101.2-1.fc10.i386

$ imsettings-xim --verbose

(imsettings-xim:5329): IMSettings-XIM-WARNING **: XIM Server for IMSettings is
already running.
Failed to initialize XIM server

$ emacs
$ gdb emacs "emacs ps number"
(gdb) bt
#0  0x00132416 in __kernel_vsyscall ()
#1  0x00e60cbd in ___newselect_nocancel () from /lib/libc.so.6
#2  0x00fdb295 in _xcb_conn_wait (c=0x94c0ef8, cond=0x94c0f58, vector=0x0, 
    count=0x0) at xcb_conn.c:340
#3  0x00fdc93f in xcb_wait_for_event (c=0x94c0ef8) at xcb_in.c:391
#4  0x00a2c8c1 in wait_or_poll_for_event (dpy=0x9d41778, wait=-1079786212)
    at xcb_io.c:100
#5  0x00a2cc30 in process_responses (dpy=0x9d41778, wait_for_first_event=1, 
    current_error=0x0, current_request=0) at xcb_io.c:115
#6  0x00a2d3c7 in _XReadEvents (dpy=0x9d41778) at xcb_io.c:212
#7  0x00a0b2cb in XIfEvent (dpy=0x9d41778, event=0xbfa3c868, 
    predicate=0xa46d50 <_CheckSNEvent>, arg=0xbfa3c7e4 "\021") at IfEvent.c:70
#8  0x00a47e26 in _XimPreConnectionIM (im=0x9c33930, selection=407)
    at imDefIm.c:240
#9  0x00a4981c in _XimProtoOpenIM (im=0x9c33930) at imDefIm.c:408
#10 0x00a4f42d in _XimOpenIM (lcd=0x9c74658, dpy=0x9d41778, rdb=0x99c4048, 
    res_name=0x9da6f88 "emacs", res_class=0x81e3b18 "Emacs") at imInt.c:236
#11 0x00a4f150 in _XimRegisterIMInstantiateCallback (lcd=0x9c74658, 
    display=0x9d41778, rdb=0x99c4048, res_name=0x9da6f88 "emacs", 
    res_class=0x81e3b18 "Emacs", 
    callback=0x80d77b0 <xim_instantiate_callback>, client_data=0x9b265e0 "")
    at imInsClbk.c:196
#12 0x00a33368 in XRegisterIMInstantiateCallback (display=0x9d41778, 
---Type <return> to continue, or q <return> to quit---
    rdb=0x99c4048, res_name=0x9da6f88 "emacs", res_class=0x81e3b18 "Emacs", 
    callback=0x80d77b0 <xim_instantiate_callback>, client_data=0x9b265e0 "")
    at IMWrap.c:194
#13 0x080dbb53 in x_term_init (display_name=160170659, xrm_option=0x0, 
    resource_name=0x9da6f88 "emacs") at xterm.c:8273
#14 0x080e765a in Fx_open_connection (display=160170659, xrm_string=154762529, 
    must_succeed=154762577) at xfns.c:4123
#15 0x08189733 in Ffuncall (nargs=4, args=0xbfa3cbb0) at eval.c:3048
#16 0x081be538 in Fbyte_code (bytestr=137141523, vector=137141540, 
    maxdepth=<value optimized out>) at bytecode.c:678
#17 0x0818b583 in funcall_lambda (fun=137141492, nargs=0, 
    arg_vector=0xbfa3ccf4) at eval.c:3229
#18 0x08189443 in Ffuncall (nargs=1, args=0xbfa3ccf0) at eval.c:3099
#19 0x081be538 in Fbyte_code (bytestr=136700699, vector=136700724, 
    maxdepth=<value optimized out>) at bytecode.c:678
#20 0x0818b12c in Feval (form=136700685) at eval.c:2379
#21 0x0818bce1 in internal_lisp_condition_case (var=154805697, 
    bodyform=136700685, handlers=136700821) at eval.c:1456
#22 0x081bee8a in Fbyte_code (bytestr=136699555, vector=136699572, 
    maxdepth=<value optimized out>) at bytecode.c:868
#23 0x0818b583 in funcall_lambda (fun=136699532, nargs=0, 
    arg_vector=0xbfa3d034) at eval.c:3229
#24 0x08189443 in Ffuncall (nargs=1, args=0xbfa3d030) at eval.c:3099
---Type <return> to continue, or q <return> to quit---
#25 0x081be538 in Fbyte_code (bytestr=136696259, vector=136696276, 
    maxdepth=<value optimized out>) at bytecode.c:678
#26 0x0818b583 in funcall_lambda (fun=136696236, nargs=0, 
    arg_vector=0xbfa3d100) at eval.c:3229
#27 0x0818b7a2 in apply_lambda (fun=136696236, args=154762529, eval_flag=1)
    at eval.c:3153
#28 0x0818ae37 in Feval (form=155300981) at eval.c:2433
#29 0x08122fb3 in top_level_2 () at keyboard.c:1376
#30 0x08188a20 in internal_condition_case (bfun=0x8122fa0 <top_level_2>, 
    handlers=154805697, hfun=0x8126570 <cmd_error>) at eval.c:1511
#31 0x0812631d in top_level_1 () at keyboard.c:1384
#32 0x08188afa in internal_catch (tag=154801673, func=0x81262d0 <top_level_1>, 
    arg=154762529) at eval.c:1247
#33 0x081263b1 in command_loop () at keyboard.c:1339
#34 0x0812676b in recursive_edit_1 () at keyboard.c:955
#35 0x081268b4 in Frecursive_edit () at keyboard.c:1017
#36 0x0811c38b in main (argc=1, argv=0xbfa3d7c4) at emacs.c:1772

Comment 5 sangu 2008-06-17 05:01:02 EDT
$ imsettings-xim --verbose
12582914: Adding connection for 127927592 [server comm:12582915]
12582914: FWD: SelectionRequest:
127927592(127927592)->12582913(12582915)[->90177537]
12582915: FWD: SelectionNotify: 90177537->12582915(12582915)[->127927592]
12582915: EOL'd an instance
12582916: Adding connection for 127927592 [server comm:12582917]
12582916: FWD: SelectionRequest:
127927592(127927592)->12582913(12582917)[->90177537]
12582917: FWD: SelectionNotify: 90177537->12582917(12582917)[->127927592]
12582917: EOL'd an instance
12582918: Adding connection for 127927593 [server comm:12582919]
12582919: ->: XIM_CONNECT [sent? true via only-CM (major: 0, minor: 0)]
12582918: <-: XIM_CONNECT_REPLY [sent? true via only-CM (major: 0, minor: 0)]
12582919: ->: XIM_OPEN [sent? true via only-CM (major: 0, minor: 0)]
12582918: <-: XIM_OPEN_REPLY [sent? true via Property-with-CM (major: 0, minor: 0)]
12582919: ->: XIM_QUERY_EXTENSION [sent? true via Property-with-CM (major: 0,
minor: 0)]
12582918: <-: XIM_QUERY_EXTENSION_REPLY [sent? true via Property-with-CM (major:
0, minor: 0)]
12582919: ->: XIM_ENCODING_NEGOTIATION [sent? true via Property-with-CM (major:
0, minor: 0)]
12582918: <-: XIM_ENCODING_NEGOTIATION_REPLY [sent? true via only-CM (major: 0,
minor: 0)]
12582919: ->: XIM_CLOSE [sent? true via only-CM (major: 0, minor: 0)]
12582918: <-: XIM_CLOSE_REPLY [sent? true via only-CM (major: 0, minor: 0)]
12582919: ->: XIM_DISCONNECT [sent? true via only-CM (major: 0, minor: 0)]
12582918: <-: XIM_DISCONNECT_REPLY [sent? true via only-CM (major: 0, minor: 0)]
12582919: EOL'd an instance
12582920: Adding connection for 127927595 [server comm:12582921]
12582920: FWD: SelectionRequest:
127927595(127927595)->12582913(12582921)[->90177537]
12582921: FWD: SelectionNotify: 90177537->12582921(12582921)[->127927595]
12582921: EOL'd an instance
12582922: Adding connection for 127927595 [server comm:12582923]
12582922: FWD: SelectionRequest:
127927595(127927595)->12582913(12582923)[->90177537]
12582923: FWD: SelectionNotify: 90177537->12582923(12582923)[->127927595]
12582923: EOL'd an instance
12582924: Adding connection for 127927596 [server comm:12582925]
12582925: ->: XIM_CONNECT [sent? true via only-CM (major: 0, minor: 0)]
12582924: <-: XIM_CONNECT_REPLY [sent? true via only-CM (major: 0, minor: 0)]
12582925: ->: XIM_OPEN [sent? true via only-CM (major: 0, minor: 0)]
12582924: <-: XIM_OPEN_REPLY [sent? true via Property-with-CM (major: 0, minor: 0)]
12582925: ->: XIM_QUERY_EXTENSION [sent? true via Property-with-CM (major: 0,
minor: 0)]
12582924: <-: XIM_QUERY_EXTENSION_REPLY [sent? true via Property-with-CM (major:
0, minor: 0)]
12582925: ->: XIM_ENCODING_NEGOTIATION [sent? true via Property-with-CM (major:
0, minor: 0)]
12582924: <-: XIM_ENCODING_NEGOTIATION_REPLY [sent? true via only-CM (major: 0,
minor: 0)]
12582925: ->: XIM_GET_IM_VALUES [sent? true via only-CM (major: 0, minor: 0)]
12582924: <-: XIM_GET_IM_VALUES_REPLY [sent? true via Property-with-CM (major:
0, minor: 0)]
Comment 6 Akira TAGOH 2008-06-17 05:35:35 EDT
(In reply to comment #4)
> The same problem happens in imsettings-0.101.2-1.fc10.
> 
> $ rpm -qa | grep imsettings
> imsettings-0.101.2-1.fc10.i386
> imsettings-debuginfo-0.101.2-1.fc10.i386
> imsettings-libs-0.101.2-1.fc10.i386
> imsettings-devel-0.101.2-1.fc10.i386
> 
> $ imsettings-xim --verbose
> 
> (imsettings-xim:5329): IMSettings-XIM-WARNING **: XIM Server for IMSettings is
> already running.
> Failed to initialize XIM server

The above warning says it all. kill the existing process first and try again.

(In reply to comment #5)
> $ imsettings-xim --verbose
> 12582914: Adding connection for 127927592 [server comm:12582915]
[snip]
> 12582924: <-: XIM_GET_IM_VALUES_REPLY [sent? true via Property-with-CM (major:
> 0, minor: 0)]

Those looks good though, does emacs still not work for you? which XIM server did
you try? I can try here too. FYI, scim works fine with the above version though.
Comment 7 sangu 2008-06-17 06:04:56 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > $ imsettings-xim --verbose
> > 12582914: Adding connection for 127927592 [server comm:12582915]
> [snip]
> > 12582924: <-: XIM_GET_IM_VALUES_REPLY [sent? true via Property-with-CM (major:
> > 0, minor: 0)]
> 
> Those looks good though, does emacs still not work for you?  which XIM server did
killall imsettings-xim > Starting emacs works well. then, emacs use internal im.
But relogin emacs doesn't start and change to xim on gtk2 applications, gtk2
applications freeze.

> you try? I can try here too. FYI, scim works fine with the above version though.

in imsettings-0.99.6-5.fc9.i386
$ imsettings-xim --verbose
XXX: destroying dummy XIM server
125829122: Adding connection for 127926289 [server comm:125829123]
125829122: FWD: SelectionRequest:
127926289(127926289)->125829121(125829123)[->106954753]
125829123: FWD: SelectionNotify: 106954753->125829123(125829123)[->127926289]
125829123: EOL'd an instance
125829124: Adding connection for 127926289 [server comm:125829125]
125829124: FWD: SelectionRequest:
127926289(127926289)->125829121(125829125)[->106954753]
125829125: FWD: SelectionNotify: 106954753->125829125(125829125)[->127926289]
125829125: EOL'd an instance
125829126: Adding connection for 127926290 [server comm:125829127]
125829127: ->: XIM_CONNECT [sent? true]
125829126: <-: XIM_CONNECT_REPLY [sent? true]
125829127: ->: XIM_OPEN [sent? true]
125829126: <-: XIM_OPEN_REPLY [sent? true]
125829127: ->: XIM_QUERY_EXTENSION [sent? true]
125829126: <-: XIM_QUERY_EXTENSION_REPLY [sent? true]
125829127: ->: XIM_ENCODING_NEGOTIATION [sent? true]
125829126: <-: XIM_ENCODING_NEGOTIATION_REPLY [sent? true]
125829127: ->: XIM_CLOSE [sent? true]
125829126: <-: XIM_CLOSE_REPLY [sent? true]
125829127: ->: XIM_DISCONNECT [sent? true]
125829126: <-: XIM_DISCONNECT_REPLY [sent? true]
125829127: EOL'd an instance
125829128: Adding connection for 127926292 [server comm:125829129]
125829128: FWD: SelectionRequest:
127926292(127926292)->125829121(125829129)[->106954753]
125829129: FWD: SelectionNotify: 106954753->125829129(125829129)[->127926292]
125829129: EOL'd an instance
125829130: Adding connection for 127926292 [server comm:125829131]
125829130: FWD: SelectionRequest:
127926292(127926292)->125829121(125829131)[->106954753]
125829131: FWD: SelectionNotify: 106954753->125829131(125829131)[->127926292]
125829131: EOL'd an instance
125829132: Adding connection for 127926293 [server comm:125829133]
125829133: ->: XIM_CONNECT [sent? true]
125829132: <-: XIM_CONNECT_REPLY [sent? true]
125829133: ->: XIM_OPEN [sent? true]
125829132: <-: XIM_OPEN_REPLY [sent? true]
Comment 8 Akira TAGOH 2008-06-17 06:30:07 EDT
(In reply to comment #7)
> killall imsettings-xim > Starting emacs works well. then, emacs use internal im.
> But relogin emacs doesn't start and change to xim on gtk2 applications, gtk2
> applications freeze.

I don't understand above. if this is the case for you, that works for me:
# terminal 1
% killall imsettings-xim
% imsettings-xim --verbose
...

# terminal 2
% echo $XMODIFIERS
@im=imsettings
% imsettings-list
* 1: SCIM (recommended)
  2: UIM
% imsettings-info SCIM | grep XMODIFIERS
XMODIFIERS: @im=SCIM
% emacs
[input something through SCIM and press C-x C-c to exit]
% emacs

I can input something through scim on both emacs.
Comment 9 sangu 2008-06-17 07:38:46 EDT
LANG=ko_KR.utf8
$ rpm -qa | grep imsettings
imsettings-devel-0.101.2-1.fc10.i386
imsettings-libs-0.101.2-1.fc10.i386

$ rpm -qa | grep im-chooser
im-chooser-1.1.0-1.fc10.i386

$ rpm -qa | grep scim
scim-bridge-0.4.15-5.fc9.i386
scim-lang-korean-1.4.7-25.fc10.i386
scim-anthy-1.2.4-4.fc9.i386
scim-1.4.7-25.fc10.i386
scim-hangul-0.3.2-4.fc9.i386
scim-gtk-1.4.7-25.fc10.i386
scim-bridge-gtk-0.4.15-5.fc9.i386
scim-libs-1.4.7-25.fc10.i386

== Retest ==
<linux reboot>
$ ps ax | grep xim
 2583 ?        S      0:00 imsettings-xim
 2894 pts/0    S+     0:00 grep xim
* launch emacs > emacs doesn't start
* launch gedit > change xim > freeze gedit

$ echo $XMODIFIERS
@im=imsettings

$ imsettings-list
* 1: SCIM (recommended)
  2: nabi 

$ imsettings-info SCIM
Xinput file: /etc/X11/xinit/xinput.d/scim.conf
GTK+ immodule: scim-bridge
Qt immodule: xim
XMODIFIERS: @im=SCIM
XIM server: /usr/bin/scim 
preferences: /usr/bin/scim-setup 
auxiliary:  
Short Description: SCIM
Long Description: 
Is system default: TRUE
Is user default: TRUE
Is XIM server: FALSE

$ killall imsettings-xim
$ imsettings-xim --verbose
....
starting emacs workswell,  changing xim on gedit works well.

$ echo $XMODIFIERS
@im=imsettings
$ imsettings-list
* 1: SCIM (recommended)
  2: nabi 
$ imsettings-info SCIM
Xinput file: /etc/X11/xinit/xinput.d/scim.conf
GTK+ immodule: scim-bridge
Qt immodule: xim
XMODIFIERS: @im=SCIM
XIM server: /usr/bin/scim 
preferences: /usr/bin/scim-setup 
auxiliary:  
Short Description: SCIM
Long Description: 
Is system default: TRUE
Is user default: TRUE
Is XIM server: FALSE

* Relogin GNOME Desktop.
$ ps ax | grep imsettings-xim
2583 ?        S      0:00 imsettings-xim

 emacs doesn't start. Changing xim make gedit freeze.

killall imsettings-xim, imsettings-xim --verbose, XIM works well.

----------------------------------------------------------------------
Only XIM works well. in killall imsettings-xim, imsettings-xim --versbose.
Comment 10 sangu 2008-06-17 08:16:33 EDT
XIM works only in killall imsettings-xim -> imsettings-xim --versbose.
Comment 11 Akira TAGOH 2008-06-17 08:20:11 EDT
Thank you for the details. however that still works for me. do you see any
error/warning dialogs at the startup time or the messages in .xsession-errors?
Comment 12 Mamoru TASAKA 2008-06-18 02:30:02 EDT
Created attachment 309696 [details]
some logs perhaps related to this issue

For me uxterm, gedit won't even launch, just freezing at start up.

Some logs like .xsession-errors, rpm -qa | grep scim, etc are attached.
Comment 13 Akira TAGOH 2008-06-18 04:38:50 EDT
Better try imsettings-0.101.2-2.fc10.
Comment 14 Mamoru TASAKA 2008-06-18 04:59:30 EDT
My issue on comment 12 is solved by imsettings-0.101.2-2.fc10.i386, thanks!
Comment 15 sangu 2008-06-18 12:48:13 EDT
Fixed in 0.101.2-2.fc10.
Thanks!
Comment 16 sangu 2008-06-18 21:29:48 EDT
Again.  emacs doesn't start. gtk2 programs don't change to xim.
$ cat ~/.xsession-errors
Started SCIM

(imsettings-xim:2619): IMSettings-XIM-WARNING **: No XIM server `SCIM' is runnin
g. retrying to find out...

(imsettings-xim:2619): IMSettings-XIM-WARNING **: No XIM server `SCIM' is runnin
g. retrying to find out...
[...]
(imsettings-xim:2619): IMSettings-XIM-WARNING **: No XIM server `SCIM' is runnin
g. retrying to find out...
[...]
** (gnome-session:2377): DEBUG: starting phase 5

No such XIM server is running: SCIM
** (gnome-session:2377): DEBUG: ending phase 5

(imsettings-xim:2619): IMSettings-XIM-WARNING **: Getting SelectionRequest from
the XIM server side is unlikely.
    From:   comm_window: 12582914
          client_window: 92274705
              selection: 0
      To:   comm_window: 12582915
          client_window: 0
              selection: 0
   Event:     requestor: 92274705
                  owner: 12582913

$ echo $XMODIFIERS
@im=imsettings

$ imsettings-list
* 1: SCIM (recommended)
  2: nabi 

$ imsettings-info SCIM
Xinput file: /etc/X11/xinit/xinput.d/scim.conf
GTK+ immodule: scim-bridge
Qt immodule: xim
XMODIFIERS: @im=SCIM
XIM server: /usr/bin/scim 
preferences: /usr/bin/scim-setup 
auxiliary:  
Short Description: SCIM
Long Description: 
Is system default: TRUE
Is user default: TRUE
Is XIM server: FALSE
Comment 17 Akira TAGOH 2008-06-18 22:05:13 EDT
Please make sure when you see that issue next time:

1. try to kill imsettings-xim and run it manually. and see how's going on.
2. if still not good, let me know the result of xprop -root | grep XIM_SERVERS

for case 1, there are no way to get the real fix except having more workaround
so far. i.e. changing the amount of the retry or the retry interval.
for case 2, this appears when XIM server isn't running properly. I should just
fallback to none if it's likely.
Comment 18 sangu 2008-06-25 09:11:16 EDT
Nowadays, this problem doesn't happen.
Thanks.

See Also bug 452849.